OpenVDB 13.0.0

Loading...
Searching...
No Matches
VecTraits< T, bool > Struct Template Reference

`#include <openvdb/Types.h>`

## Public Types
using | ElementType = typename T::ValueType

## Static Public Attributes
static const bool | IsVec = true
static const int | Size = T::size

## Member Typedef Documentation

## ◆ ElementType

template<typename T, bool = IsSpecializationOf<T, math::Vec2>::value || IsSpecializationOf<T, math::Vec3>::value || IsSpecializationOf<T, math::Vec4>::value>

using ElementType = typename T::ValueType

## Member Data Documentation

## ◆ IsVec

template<typename T, bool = IsSpecializationOf<T, math::Vec2>::value || IsSpecializationOf<T, math::Vec3>::value || IsSpecializationOf<T, math::Vec4>::value>

const bool IsVec = true
| static

## ◆ Size

template<typename T, bool = IsSpecializationOf<T, math::Vec2>::value || IsSpecializationOf<T, math::Vec3>::value || IsSpecializationOf<T, math::Vec4>::value>

const int Size = T::size
| static